Skip to navigation

Get URL to edit view UI

View as Markdown

This API method has been replaced by the EnvelopeViews:createSender API method. The two API methods work exactly the same,

Migration required

To solve an application security issue, you must migrate to the new API request format. See the EnvelopeViews:createSender API method for more information. Backwards compatibility will be provided for a limited time.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

envelopeIdstringRequired

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Request

This endpoint expects an object: envelopeViewRequest

returnUrlstringOptional

Required

Identifies the return point after sending the envelope. Docusign returns to the URL and includes an event parameter that can be used to redirect the recipient to another location. The possible event parameters returned are:

  • send (user sends the envelope)
  • save (user saves the envelope)
  • cancel (user cancels the sending transaction. No envelopeId is returned in this case.)
  • error (there is an error when performing the send)
  • sessionEnd (the sending session ends before the user completes another action).
settingsobjectOptional
viewAccessstringOptional

Required . Set to envelope

Response

Successful response.
urlstringOptional
URL for the template edit view.

Errors

400
Bad Request Error